using System.Collections.Generic;
using BuecherwurmAPI.Models;

namespace BuecherwurmAPI.Models
{
    public interface IBookRepo
    {
        IEnumerable<Book> GetAllBooks();
        Book GetBookById(long id);
        void DeleteBook(Book book);
        void AddBook (Book book);
        void EditBook (Book book);
    }
}